Re: Impossible to remove a broken package on 6.5.

2019-09-10 Thread Marc Espie
More specifically: add an indirection to solving dependencies for pure pkg_delete, so that we don't end up constructing full UpdateSets for no reason Index: AddCreateDelete.pm === RCS file:

Re: Impossible to remove a broken package on 6.5.

2019-09-10 Thread Marc Espie
On Fri, Sep 06, 2019 at 07:13:21AM -0700, Chris Cappuccio wrote: > Angelo Rossi [angelo.rossi.home...@gmail.com] wrote: > > > > # pkg_delete -v kicad > > Can't locate object method "updateset_with_new" via package > > "OpenBSD::PkgDelete::State" at /usr/libdata/perl5/OpenBSD/Dependencies.pm > >

Re: Impossible to remove a broken package on 6.5.

2019-09-10 Thread Marc Espie
On Fri, Sep 06, 2019 at 10:55:32AM +0200, Angelo Rossi wrote: > # pkg_delete -v kicad > Can't locate object method "updateset_with_new" via package > "OpenBSD::PkgDelete::State" at /usr/libdata/perl5/OpenBSD/Dependencies.pm > line 309. Update your pkg tools to -current, nothing bad will happen to

Re: Impossible to remove a broken package on 6.5.

2019-09-08 Thread Strahil Nikolov
On September 6, 2019 6:46:32 PM GMT+03:00, m...@jtm.cx wrote: >On Fri, Sep 06, 2019 at 07:13:21AM -0700, Chris Cappuccio wrote: >> Angelo Rossi [angelo.rossi.home...@gmail.com] wrote: >> > >> > # pkg_delete -v kicad >> > Can't locate object method "updateset_with_new" via package >> >

Re: Impossible to remove a broken package on 6.5.

2019-09-06 Thread me
On Fri, Sep 06, 2019 at 07:13:21AM -0700, Chris Cappuccio wrote: > Angelo Rossi [angelo.rossi.home...@gmail.com] wrote: > > > > # pkg_delete -v kicad > > Can't locate object method "updateset_with_new" via package > > "OpenBSD::PkgDelete::State" at /usr/libdata/perl5/OpenBSD/Dependencies.pm > >

Re: Impossible to remove a broken package on 6.5.

2019-09-06 Thread Chris Cappuccio
Angelo Rossi [angelo.rossi.home...@gmail.com] wrote: > > # pkg_delete -v kicad > Can't locate object method "updateset_with_new" via package > "OpenBSD::PkgDelete::State" at /usr/libdata/perl5/OpenBSD/Dependencies.pm > line 309. > Your /usr/libdata/perl5/OpenBSD directory is corrupted, this